%define	name	xgospel
%define	version	1.12d
%define	release	10mdk

Summary:	An X11 client for Internet Go Server
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source0:	http://img.teaser.fr/~jlgailly/%{name}-%{version}.tar.bz2
URL:		http://gailly.net/xgospel/index.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel bison xpm-devel

%define	__prefix	%{_prefix}/X11R6

%description
Xgospel is an X11 client for Internet Go Server, it provides a graphical 
interface with a lot of features to play on the Internet using IGS 
(a place with players of all countries playing Go).

%prep
%setup -q

%build
mv resources.c resources.c.orig
sed -e 's|board.xpm|/usr/X11R6/lib/xgospel/board.xpm|' <resources.c.orig >resources.c
mv XGospel.res XGospel.res.orig
sed -e 's|\(board.xpm\)|\(/usr/X11R6/lib/xgospel/board.xpm\)|' <XGospel.res.orig >XGospel.res
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix}
make

%install
rm -fr %buildroot

mkdir -p $RPM_BUILD_ROOT%{__prefix}
make prefix=$RPM_BUILD_ROOT%{__prefix} install 
mkdir -p $RPM_BUILD_ROOT%{__prefix}/lib/xgospel
mv *.xpm $RPM_BUILD_ROOT%{__prefix}/lib/xgospel
mv my/*.xpm $RPM_BUILD_ROOT%{__prefix}/lib/xgospel
mv *.res $RPM_BUILD_ROOT%{__prefix}/lib/xgospel

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{__prefix}/bin/xgospel" \
title="Xgospel" \
longtitle="A graphical client for Internet Go Server" \
icon="strategy_section.png" \
needs="x11" \
section="More applications/Games/Strategy"
EOF
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES FAQ INSTALL README README.1ST TODO my/COPYRIGHTS
%dir %{__prefix}/lib/xgospel
%{__prefix}/bin/*
%{__prefix}/lib/xgospel/XGospel.res
%{__prefix}/lib/xgospel/board.xpm
%{__prefix}/lib/xgospel/pagoda.xpm
%{__prefix}/lib/xgospel/XgospelIcon.xpm
%{_menudir}/*

%changelog
* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.12d-10mdk
- rebuild
- drop Prefix tag
- cosmetics

* Fri Jun 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.12d-9mdk
- rebuild

* Sun Dec 07 2003 Franck Villaume <fvill@freesurf.fr> 1.12d-8mdk
- some BuildRequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.12d-7mdk
- rebuild

* Thu  Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.12d-6mdk
- rebuild

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 1.12d-5mdk
- Use default strategy icon for menu entry

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 1.12d-4mdk
- rebuild

* Wed Sep 20 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.12d-3mdk
- build release
- menu

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.12d-2mdk
- fix group

* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- initial release
- relocated default xpm to /usr/X11R6/lib/xgospel
